> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/sql-statements/administrative-sql-statements/show/show-wsrep_status.md).

# SHOW WSREP\_STATUS

`SHOW WSREP_STATUS` is part of the [WSREP\_INFO](https://github.com/mariadb-corporation/mariadb-docs/blob/main/server/plugins/mariadb-replication-cluster-plugins/wsrep_info-plugin.md) plugin.

## Syntax

```bnf
SHOW WSREP_STATUS
```

## Description

The `SHOW WSREP_STATUS` statement returns [Galera](https://mariadb.com/docs/galera-cluster/) node and cluster status information. It returns the same information as found in the [information\_schema.WSREP\_STATUS](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-wsrep_status-table.md) table. Only users with the [SUPER](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#super) privilege can access this information.

## Examples

```sql
SHOW WSREP_STATUS;
+------------+-------------+----------------+--------------+
| Node_Index | Node_Status | Cluster_Status | Cluster_Size |
+------------+-------------+----------------+--------------+
|          0 | Synced      | Primary        |            3 |
+------------+-------------+----------------+--------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-statements/administrative-sql-statements/show/show-wsrep_status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
